import { defineStore } from "pinia";

export const useF2SStore = defineStore("Fanuc2Store", {
  state: () => {
    return {
      rs_tp_enabled: false,
      rs_e_stopped: false,
      rs_drives_powered: false,
      rs_motion_possible: false,
      rs_in_motion: false,
      rs_in_error: false,
      rs_error_code: 0,

      fjt_queue: null,

      jsg_j1: "",
      jsg_j2: "",
      jsg_j3: "",
      jsg_j4: "",
      jsg_j5: "",
      jsg_j6: "",
      jsg_send: false,

    };
  },

  getters: {
    getRsTpEnabled: (state) => state.rs_tp_enabled,
    getRsEStopped: (state) => state.rs_e_stopped,
    getRsDrivesPowered: (state) => state.rs_drives_powered,
    getRsMotionPossible: (state) => state.rs_motion_possible,
    getRsInMotion: (state) => state.rs_in_motion,
    getRsInError: (state) => state.rs_in_error,
    getRsErrorCode: (state) => state.rs_error_code,

    getFjtQueue: (state) => state.fjt_queue,

    getJsgJ1: (state) => state.jsg_j1,
    getJsgJ2: (state) => state.jsg_j2,
    getJsgJ3: (state) => state.jsg_j3,
    getJsgJ4: (state) => state.jsg_j4,
    getJsgJ5: (state) => state.jsg_j5,
    getJsgJ6: (state) => state.jsg_j6,
    getJsgSend: (state) => state.jsg_send,


  },

  actions: {
    setRsTpEnabled(value) {
      this.rs_tp_enabled = value;
    },
    setRsEStopped(value) {
      this.rs_e_stopped = value;
    },
    setRsDrivesPowered(value) {
      this.rs_drives_powered = value;
    },
    setRsMotionPossible(value) {
      this.rs_motion_possible = value;
    },
    setRsInMotion(value) {
      this.rs_in_motion = value;
    },
    setRsInError(value) {
      this.rs_in_error = value;
    },
    setRsErrorCode(value) {
      this.rs_error_code = value;
    },

    setFjtQueue(value) {
      this.fjt_queue = value;
    },

    setJsgJ1(value) {
      this.jsg_j1 = value;
    },
    setJsgJ2(value) {
      this.jsg_j2 = value;
    },
    setJsgJ3(value) {
      this.jsg_j3 = value;
    },
    setJsgJ4(value) {
      this.jsg_j4 = value;
    },
    setJsgJ5(value) {
      this.jsg_j5 = value;
    },
    setJsgJ6(value) {
      this.jsg_j6 = value;
    },
    setJsgSend(value) {
      this.jsg_send = value;
    },

  },
});
